# class Net::WriteAdapter

The writer adapter class

### Public Class Methods

new (writer)
Source

    # File lib/net/protocol.rb, line 487
    def initialize(writer)
      @writer = writer
    end

### Public Instance Methods

<< (str)
Source

    # File lib/net/protocol.rb, line 501
    def <<(str)
      write str
      self
    end

inspect ()
Source

    # File lib/net/protocol.rb, line 491
    def inspect
      "#<#{self.class} writer=#{@writer.inspect}>"
    end

print (str)
Alias for: write
printf (*args)
Source

    # File lib/net/protocol.rb, line 510
    def printf(*args)
      write sprintf(*args)
    end

puts (str = '')
Source

    # File lib/net/protocol.rb, line 506
    def puts(str = '')
      write str.chomp("\n") + "\n"
    end

write (str)
Source

    # File lib/net/protocol.rb, line 495
    def write(str)
      @writer.call(str)
    end

Also aliased as: print